Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt

Use this file to discover all available pages before exploring further.

The Boost API provides two methods to get a signature for claiming boost incentives:
  1. Use a transaction hash via the GET /signatures endpoint
  2. Check recent transactions for an address via the GET /transactions endpoint
In order to produce a valid signature, the transaction must meet the boost’s requirements and the transaction must occur after the boost was created.

Fetching Signature by Transaction Hash

If you know the specific transaction that completed the boost’s required action, you can fetch the signature directly:
const params = new URLSearchParams({
  txHash: '0x2dfc8f4f24b1a3a7ee73ea13b8a20a63fe7457d1c96b95178d3ea4126b6bf5ad',
  boostId: '8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:12'
});

const response = await fetch(
  `https://api-v2.boost.xyz/signatures?${params.toString()}`
);
const { signature, claimant, incentiveId } = await response.json();

Required Parameters for /signatures

  • txHash: The transaction hash that completed the boost’s required action
  • boostId: The ID of the boost (format: chainId:boostNumber)
  • claimData: (Optional) Additional data required for variable incentive types

Response

{
    "signature": "0x...",   // Signature for verification
    "claimant": "0x...",    // Address eligible to claim
    "incentiveId": 0        // ID of the claimable incentive
}
For complete API details including all available parameters and response fields, see the API Reference.

Fetching Signature by Address

If you want to check whether a wallet has completed the boost requirements, you can scan recent transactions:
const params = new URLSearchParams({
  address: '0x1234...',
  boostId: '8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:12'
});

const response = await fetch(
  `https://api-v2.boost.xyz/transactions?${params.toString()}`
);
const { signature, claimant, incentiveId } = await response.json();
For complete API details, see the GET /transactions reference.

Using the Signature

Once you have the signature from either endpoint, you can use it with the following SDK methods to claim your boost:

Complete Claim Example

See our SDK documentation for a complete example of claiming a boost with the returned signature.